Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

dev: align Gemfiles across rspec projects

  • Loading branch information...
commit 7eaa1f628ed4601d088fbeb03986aa4bfadcf987 1 parent 1359ae2
@dchelimsky dchelimsky authored
Showing with 18 additions and 20 deletions.
  1. +4 −1 Gemfile
  2. +9 −18 Gemfile-custom.sample
  3. +3 −1 Rakefile
  4. +2 −0  rspec-core.gemspec
View
5 Gemfile
@@ -11,7 +11,10 @@ gemspec
end
end
-gem 'rake', '~> 0.9.2'
+### deps for rdoc.info
+gem 'yard', '0.7.5', :require => false
+gem 'redcarpet', '2.1.1'
+gem 'github-markup', '0.7.2'
platforms :jruby do
gem "jruby-openssl"
View
27 Gemfile-custom.sample
@@ -1,21 +1,17 @@
group :development do
gem 'interactive_rspec'
- gem 'yard', "~> 0.7.4"
- gem "relish", "~> 0.5.0"
- gem "guard-rspec", "0.5.0"
- gem "growl", "1.0.3"
- gem "spork", "0.9.0"
+ gem 'relish', '~> 0.5.0'
+ gem 'guard-rspec', '0.5.0'
+ gem 'growl', '1.0.3'
+ gem 'spork', '0.9.0'
- platforms :mri_18, :jruby do
- gem "rcov", "0.9.10"
- end
-
- platforms :mri_18 do
- gem 'ruby-debug'
- end
+ platform :mri do
+ gem 'rb-fsevent', '~> 0.4.3.1'
+ gem 'ruby-prof', '~> 0.10.0'
- platforms :mri_19 do
case RUBY_VERSION
+ when /^1.8/
+ gem 'ruby-debug'
when '1.9.2'
gem 'ruby-debug19', '0.11.6'
gem 'ruby-debug-base19', '0.11.25'
@@ -35,9 +31,4 @@ group :development do
gem 'linecache19', '0.5.13'
end
end
-
- platforms :mri_18, :mri_19 do
- gem "rb-fsevent", "~> 0.4.3.1"
- gem "ruby-prof", "~> 0.10.0"
- end
end
View
4 Rakefile
@@ -1,4 +1,5 @@
require "bundler"
+Bundler.setup
Bundler::GemHelper.install_tasks
require "rake"
@@ -10,7 +11,7 @@ require "rspec/core/version"
require "cucumber/rake/task"
Cucumber::Rake::Task.new(:cucumber)
-desc "Run non-ui examples"
+desc "Run all examples"
RSpec::Core::RakeTask.new(:spec) do |t|
t.ruby_opts = %w[-w]
end
@@ -18,6 +19,7 @@ end
namespace :spec do
desc "Run ui examples"
RSpec::Core::RakeTask.new(:ui) do |t|
+ t.ruby_opts = %w[-w]
t.rspec_opts = %w[--tag ui]
end
end
View
2  rspec-core.gemspec
@@ -23,8 +23,10 @@ Gem::Specification.new do |s|
s.rdoc_options = ["--charset=UTF-8"]
s.require_path = "lib"
+ s.add_development_dependency "rake", "~> 0.9.2"
s.add_development_dependency "cucumber", "~> 1.1.9"
s.add_development_dependency "aruba", "~> 0.4.11"
+
s.add_development_dependency "ZenTest", "4.6.2"
s.add_development_dependency "nokogiri", "1.5.2"
s.add_development_dependency "fakefs", "0.4.0"
Please sign in to comment.
Something went wrong with that request. Please try again.